
QGIS Application - Bug report #7426

delete layer doesn't really delete it

2013-03-23 08:52 AM - John Sankey

Status: Closed

Priority: Normal

Assignee:

Category: Project Loading/Saving

Affected QGIS version:2.2.0 Regression?: No

Operating System: Mac OSX Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 16388

Description

When a layer is deleted, it remains in the project somehow and slows down loading. When I had 30 layers in a project and it was taking

almost a minute to load, I tried copying the project then deleting half the layers from each. It took just as long for each to load after half the

layers were deleted as before. When I recreated one project with only the desired layers, it reduced storage from 147 Kb to 111 Kb and

loaded almost immediately.

Related issues:

Duplicates QGIS Application - Bug report # 7086: QGS file keeps trace even of... Closed 2013-02-01

History

#1 - 2013-03-27 08:11 AM - Matthias Kuhn

- Status changed from Open to Feedback

What version are you using?

Would it be possible to attach the affected project files?

#2 - 2013-03-27 08:45 AM - John Sankey

- File hcco.qgs added

- File oldhcco.qgs added

Here they are

#3 - 2013-07-13 03:29 AM - Jürgen Fischer

- Status changed from Feedback to Open

#4 - 2013-07-16 05:02 PM - Daniel Vaz

I can't reproduce it. I am using QGis master on Ubuntu 13.04

#5 - 2013-07-25 04:58 AM - Giovanni Manghi

- Status changed from Open to Closed

Duplicate of #7426, closing this because the other has sample data attached.
#6 - 2013-07-25 05:02 AM - Giovanni Manghi

- Resolution set to worksforme

Does not seems to happen on qgis master, please reopen if necessary.

#7 - 2014-07-13 07:32 AM - paolo prosperi

- File test.qgs added

- Status changed from Closed to Reopened

Please reopen this bug as issues still occur as previously reported (see also by my original bug report #7086).

I changed computer and QGIS version (now running QGIS Valmiera 2.2 on a Windows 8.1 64bits laptop) but still have the same problems described

above.

In the project file I'm attaching, the project is made of only one point vector "cities", which displays without problems. However, many other "invisible" layers

are present in the .qgs file and also listes by selecting Project/Project properties/Vector information from within QGIS.

PS

Deleting the "cities" layer results in QGIS crashing.

#8 - 2014-07-13 08:34 AM - Jürgen Fischer

paolo prosperi wrote:

Please reopen this bug as issues still occur as previously reported (see also by my original bug report #7086).

Can you reproduce the problem with a fresh project (ideally on 2.4 or master)?

PS: Deleting the "cities" layer results in QGIS crashing.

Might be #9779.

#9 - 2014-07-13 08:34 AM - Jürgen Fischer

- Status changed from Reopened to Feedback

#10 - 2014-07-13 12:03 PM - Giovanni Manghi

- File lcp6.png added

In the project file I'm attaching, the project is made of only one point vector "cities", which displays without problems. However, many other

"invisible" layers are present in the .qgs file and also listes by selecting Project/Project properties/Vector information from within QGIS.

see attached images: opening the project in qgis 2.4 the layers are not "invisible", in fact qgis asks for them (including "cities" that you haven't attached

here).
#11 - 2014-07-13 03:27 PM - Jürgen Fischer

Giovanni Manghi wrote:

In the project file I'm attaching, the project is made of only one point vector "cities", which displays without problems. However, many other

"invisible" layers are present in the .qgs file and also listes by selecting Project/Project properties/Vector information from within QGIS.

see attached images: opening the project in qgis 2.4 the layers are not "invisible", in fact qgis asks for them (including "cities" that you haven't

attached here).

You just notice, because the layer data is not available.  They are only in <projectlayers>, but not in the <legend> - so they wouldn't show, if the project was

loaded flawlessly.

#12 - 2014-07-17 05:41 AM - Giovanni Manghi

- Resolution deleted (worksforme)

- Affected QGIS version changed from 1.8.0 to 2.2.0

#13 - 2014-08-06 12:07 AM - Jürgen Fischer

Jürgen Fischer wrote:

paolo prosperi wrote:

Please reopen this bug as issues still occur as previously reported (see also by my original bug report #7086).

Can you reproduce the problem with a fresh project (ideally on 2.4 or master)?

The question still is what removes a layer from the legend without removing it from projectlayers.

#14 - 2014-10-26 03:17 PM - Jürgen Fischer

- Resolution set to worksforme

- Status changed from Feedback to Closed

closing for the lack of feedback.

#15 - 2014-10-26 03:17 PM - Jürgen Fischer

- Category set to Project Loading/Saving

Files

hcco.qgs 106 KB 2013-03-27 John Sankey

oldhcco.qgs 141 KB 2013-03-27 John Sankey

test.qgs 60 KB 2014-07-13 paolo prosperi

lcp6.png 210 KB 2014-07-13 Giovanni Manghi
